# FoundationClasses
TKernel
Standard

# Standard_Storable Class Reference

This class Storable is an abstract class that allows built-in
primitive types to be extended. They are not themselves
persistent, but are known by the database, therefore can be used
to define the internal representation of persistent objects.
Otherwise, all the fields of subclasses of Object MUST inherit
from Storable.
This class provides also a framework for copying, comparing and
printing.
.

`#include <Standard_Storable.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
virtual Standard_EXPORT void | Delete ()
virtual Standard_EXPORT | ~Standard_Storable ()
virtual Standard_EXPORT Standard_Integer | HashCode (const Standard_Integer Upper) const
| Returns a hashed value denoting <me>. This value is in the range 1..<upper>. .
Standard_EXPORT Standard_Boolean | IsEqual (const Standard_Storable &Other) const
| Returns true if the direct contents of <me> and <other> are memberwise equal. .
Standard_Boolean | operator== (const Standard_Storable &Other) const
Standard_EXPORT Standard_Boolean | IsSimilar (const Standard_Storable &Other) const
| Returns true if the Deep contents of <me> and <other> are memberwise equal. .
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &S) const
| Prints the contents at the first level of <me> on the stream <s>. The Root version of ShallowDump prints the name of the class <me> is instance of, followed by its memory address. .

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Standard_Storable_Type_ ()

## Constructor & Destructor Documentation

virtual Standard_EXPORT Standard_Storable::~Standard_Storable | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Standard_EXPORT void Standard_Storable::Delete | ( |  | ) | `[virtual]`

virtual Standard_EXPORT Standard_Integer Standard_Storable::HashCode | ( | const Standard_Integer | Upper | ) | const`[virtual]`

Standard_EXPORT Standard_Boolean Standard_Storable::IsEqual | ( | const Standard_Storable & | Other | ) | const

Standard_EXPORT Standard_Boolean Standard_Storable::IsSimilar | ( | const Standard_Storable & | Other | ) | const

void Standard_Storable::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Standard_Storable::operator new | ( | size_t | size | ) | `[inline]`

void* Standard_Storable::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Boolean Standard_Storable::operator== | ( | const Standard_Storable & | Other | ) | const`[inline]`

virtual Standard_EXPORT void Standard_Storable::ShallowDump | ( | Standard_OStream & | S | ) | const`[virtual]`

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Standard_Storable_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- Standard_Storable.hxx